[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# Find

Find data for encoded character

## Declaration

Source position: unicodedata.pas line 348

`function TUCA_PropItemContextTreeRec.Find(`
`const AChars: PUInt24;`
`const ACharCount: Integer;`
`out ANode: PUCA_PropItemContextTreeNodeRec`
`):Boolean;`

## Arguments

`AChars` |  | Unicode character to search
`ACharCount` |  | Number of encoding elements
`ANode` |  | Pointer to collation data.

## Function result

True if collation data was found

## Description

Find searches the tree for the collation data for the character encoded in AChars (ACharCount). It returns true if the data was found, false if not. A pointer to the collation data is returned in ANode.